package com.tjk.entity;


/**
 * UserOrderStatusId entity. @author MyEclipse Persistence Tools
 */

public class OrderStatus implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 2543768764575333967L;
	private Integer id;
	private Integer orderId;
	private Integer operateUid;
	private Integer customerAction;
	private Integer portalAction;
	private Integer managerAction;
	private String description;
	private Integer majorStatus;
	private Integer minorStatus;
	private java.util.Date postTime;
	private String majorStatusName;
	private String minorStatusName;
	
	

	// Constructors

	public String getMajorStatusName() {
		return majorStatusName;
	}

	public void setMajorStatusName(String majorStatusName) {
		this.majorStatusName = majorStatusName;
	}

	public String getMinorStatusName() {
		return minorStatusName;
	}

	public void setMinorStatusName(String minorStatusName) {
		this.minorStatusName = minorStatusName;
	}

	public java.util.Date getPostTime() {
		return postTime;
	}

	public void setPostTime(java.util.Date postTime) {
		this.postTime = postTime;
	}

	public Integer getMajorStatus() {
		return majorStatus;
	}

	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}

	public Integer getMinorStatus() {
		return minorStatus;
	}

	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}

	/** default constructor */
	public OrderStatus() {
	}

	/** full constructor */
	public OrderStatus(Integer id, Integer orderId,
			Integer operateUid, Integer customerAction, Integer portalAction,
			Integer managerAction, String description, java.util.Date postTime,Integer majorStatus,Integer minorStatus) {
		this.id = id;
		this.orderId = orderId;
		this.operateUid = operateUid;
		this.customerAction = customerAction;
		this.portalAction = portalAction;
		this.managerAction = managerAction;
		this.description = description;
		this.postTime = postTime;
		this.majorStatus = majorStatus;
		this.minorStatus = minorStatus;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}


	public Integer getOperateUid() {
		return this.operateUid;
	}

	public void setOperateUid(Integer operateUid) {
		this.operateUid = operateUid;
	}

	public Integer getCustomerAction() {
		return this.customerAction;
	}

	public void setCustomerAction(Integer customerAction) {
		this.customerAction = customerAction;
	}

	public Integer getPortalAction() {
		return this.portalAction;
	}

	public void setPortalAction(Integer portalAction) {
		this.portalAction = portalAction;
	}

	public Integer getManagerAction() {
		return this.managerAction;
	}

	public void setManagerAction(Integer managerAction) {
		this.managerAction = managerAction;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}